singleton {shiny} | R Documentation

## Include content only once

### Description

Use `singleton` to wrap contents (tag, text, HTML, or lists) that should be included in the generated document only once, yet may appear in the document-generating code more than once. Only the first appearance of the content (in document order) will be used.

### Usage

    singleton(x, value = TRUE)

    is.singleton(x)

### Arguments

`x` | A `tag`, text, `HTML`, or list.
`value` | Whether the object should be a singleton.

[Package shiny version 1.0.5 Index]